← Amathebula
Sula

Scotland

Women's Caledonia Midlands/East Region League Division 1

#IqembuPWDLPDBPPtsIsimo
1Howe of Fife RFC5401+217521WWWWL
2Broughton RFC4310+60317WWDW
3Lismore RFC5302+75416LWWLW
4Grangemouth Stags RFC4112-714WLLD
5Dundee Valkyries 2nd XV3102-13812LLW
6Hillfoots Vixens5005-20700LLLLL

Umthombo: Scottish Rugby · kuhloliwe Okt 14 16:52 · Isimo: imiphumela emihlanu yokugcina esinayo, entsha ingakwesokudla.

Imidlalo nemiphumela →

Ithebula ngalinye yilelo elishicilelwe yiligi uqobo, kufaka phakathi amaphuzu ebhonasi, ukususwa kwamaphuzu nemithetho yokulingana. I-BP iboniswa lapho iligi iyishicilela khona; kwezinye izindawo isivele iku-Pts.